Subject: maybe a bug report, please check(ScanMail has removed a file)

From: [email-masked]
Date: Mon, 5 Mar 2018 11:26:04 +0100

Dear Ladys and Gentleman,

during my work I noticed some strange behavior of the command "grep":

When I use grep according [1], I got some results but the recursive search is missing some results (see [2]):

[1]:
$ grep -irn "gpioPwm5"
examples/fsimx6sx/efusa9x_gpio_pins.c:36:gpio_config_t gpioPwm5 = {
examples/fsimx6sx/efusa9x_board.h:81:#define BOARD_GPIO_LED_BLINK_IMX              (&gpioPwm5)
examples/fsimx6sx/efusa9x_board.h:82:#define BOARD_GPIO_LED_CONFIG                 (&gpioPwm5)
examples/fsimx6sx/efusa9x_gpio_pins.h:59:extern gpio_config_t gpioPwm5;

[2]:
$ grep -in "gpioPwm5" examples/fsimx6sx/gpio_pins.*
examples/fsimx6sx/gpio_pins.c:36:gpio_config_t gpioPwm5 = {
examples/fsimx6sx/gpio_pins.h:59:extern gpio_config_t gpioPwm5;

So the problem for me is that I can not find "gpioPwm5" in gpio_pins.c, when I perform 'grep -irn "gpioPwm5"'. Did I something wrong?
I attached the example to maybe support your research.

My system:
$ uname -srvmpio
Linux 4.13.0-31-generic #34~16.04.1-Ubuntu SMP Fri Jan 19 17:11:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/issue
Ubuntu 16.04.3 LTS \n \l

$ cat /proc/version
Linux version 4.13.0-31-generic (buildd@lcy01-amd64-013) (gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.5)) #34~16.04.1-Ubuntu SMP Fri Jan 19 17:11:01 UTC 2018

$ grep --version
grep (GNU grep) 2.25
&#8230;

Please let me now if I can support you.

Mit freundlichen Grüßen / Best regards

Maik Brenke
Software Engineer
BU ADAS

Continental
Division Chassis & Safety
Ringlerstrasse 17, 85057 Ingolstadt
Germany

Phone: 	+49-841-881-12401